OpenVDB 7.0.0

Static Public Member Functions | List of all members
ISOpMagnitude< OpType > Struct Template Reference

Adapter for vector-valued index-space operators to return the vector magnitude. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename AccessorType >
static double | result (const AccessorType &grid, const Coord &ijk)
template<typename StencilType >
static double | result (const StencilType &stencil)

## Detailed Description

### template<typename OpType>
struct openvdb::v7_0::math::ISOpMagnitude< OpType >

Adapter for vector-valued index-space operators to return the vector magnitude.

## Member Function Documentation

## ◆ result() [1/2]

static double result | ( | const AccessorType & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

static double result | ( | const StencilType & | stencil | ) |
| inline static

The documentation for this struct was generated from the following file:

- Operators.h